summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/build2
-rw-r--r--scripts/test_filetypes.vim1
2 files changed, 1 insertions, 2 deletions
diff --git a/scripts/build b/scripts/build
index 150f45c2..2e596d52 100755
--- a/scripts/build
+++ b/scripts/build
@@ -156,7 +156,7 @@ def copy_file(package, src, dest)
open(src, "r") do |input|
open(dest, "a+") do |output|
if name == "jsx"
- output << "if !exists('g:polyglot_disabled') || !(index(g:polyglot_disabled, 'typescript') != -1 || index(g:polyglot_disabled, 'typescript') != -1 || index(g:polyglot_disabled, 'jsx') != -1)\n\n"
+ output << "if !exists('g:polyglot_disabled') || (index(g:polyglot_disabled, 'javascript') == -1 && index(g:polyglot_disabled, 'jsx') == -1)\n\n"
else
output << "if !exists('g:polyglot_disabled') || index(g:polyglot_disabled, '#{name}') == -1\n\n"
end
diff --git a/scripts/test_filetypes.vim b/scripts/test_filetypes.vim
index a9bae396..86e2ff36 100644
--- a/scripts/test_filetypes.vim
+++ b/scripts/test_filetypes.vim
@@ -152,7 +152,6 @@ call TestFiletype('sexplib')
call TestFiletype('opencl')
call TestFiletype('perl')
call TestFiletype('sql')
-call TestFiletype('sql')
call TestFiletype('cql')
call TestFiletype('blade')
call TestFiletype('php')